Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTableData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithData:
| Constructor, with another table cell data object. More...
(id) | - initWithRect:row_count:col_count:outside_border_left:outside_border_right:outside_border_top:outside_border_bottom:inside_border_row:inside_border_col:merge_cells:row_height_array:col_width_array:
| Constructor, with parameters. More...
(void) | - set:row_count:col_count:outside_border_left:outside_border_right:outside_border_top:outside_border_bottom:inside_border_row:inside_border_col:merge_cells:row_height_array:col_width_array:
| Set value. More...

## Properties
int | col_count
| The count of columns in the table.
FSFloatArray * | col_width_array
| The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.
FSTableBorderInfo * | inside_border_col
| The column inside border info.
FSTableBorderInfo * | inside_border_row
| The row inside border info.
FSTableCellIndexArray * | merge_cells
| The merge cells. The length of this array must be even and the zero length means no merge cell. More...
FSTableBorderInfo * | outside_border_bottom
| The bottom outside border info.
FSTableBorderInfo * | outside_border_left
| The left outside border info.
FSTableBorderInfo * | outside_border_right
| The right outside border info.
FSTableBorderInfo * | outside_border_top
| The top outside border info.
FSRectF * | rect
| Rectangle of the table which specifies the position in PDF page. It should be in PDF coordinate system.
int | row_count
| The count of rows in the table.
FSFloatArray * | row_height_array
| The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

## Detailed Description

This class represents table data.

## Method Documentation

## ◆ initWithData:()

- (id) initWithData: |  | (FSTableData*) | data |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table data object, whose value would be assigned to current object.

## ◆ initWithRect:row_count:col_count:outside_border_left:outside_border_right:outside_border_top:outside_border_bottom:inside_border_row:inside_border_col:merge_cells:row_height_array:col_width_array:()

- (id) initWithRect: |  | (FSRectF*) | rect
row_count: |  | (int) | row_count
col_count: |  | (int) | col_count
outside_border_left: |  | (FSTableBorderInfo*) | outside_border_left
outside_border_right: |  | (FSTableBorderInfo*) | outside_border_right
outside_border_top: |  | (FSTableBorderInfo*) | outside_border_top
outside_border_bottom: |  | (FSTableBorderInfo*) | outside_border_bottom
inside_border_row: |  | (FSTableBorderInfo*) | inside_border_row
inside_border_col: |  | (FSTableBorderInfo*) | inside_border_col
merge_cells: |  | (FSTableCellIndexArray*) | merge_cells
row_height_array: |  | (FSFloatArray*) | row_height_array
col_width_array: |  | (FSFloatArray*) | col_width_array

Constructor, with parameters.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## ◆ set:row_count:col_count:outside_border_left:outside_border_right:outside_border_top:outside_border_bottom:inside_border_row:inside_border_col:merge_cells:row_height_array:col_width_array:()

- (void) set: |  | (FSRectF*) | rect
row_count: |  | (int) | row_count
col_count: |  | (int) | col_count
outside_border_left: |  | (FSTableBorderInfo*) | outside_border_left
outside_border_right: |  | (FSTableBorderInfo*) | outside_border_right
outside_border_top: |  | (FSTableBorderInfo*) | outside_border_top
outside_border_bottom: |  | (FSTableBorderInfo*) | outside_border_bottom
inside_border_row: |  | (FSTableBorderInfo*) | inside_border_row
inside_border_col: |  | (FSTableBorderInfo*) | inside_border_col
merge_cells: |  | (FSTableCellIndexArray*) | merge_cells
row_height_array: |  | (FSFloatArray*) | row_height_array
col_width_array: |  | (FSFloatArray*) | col_width_array

Set value.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## Property Documentation

## ◆ merge_cells

- (FSTableCellIndexArray *) merge_cells
| read write nonatomic weak

The merge cells. The length of this array must be even and the zero length means no merge cell.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).